﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Page Language="C#" %>
<%@ Import Namespace="Jexus.Apps" %>
<%
    object o = Session["uid"];
    int uid = 0;
    if (o != null)
    {
        if (!int.TryParse(o.ToString(), out uid)) uid = 0;
    }

    ServerPush sp = new ServerPush();
    if (!sp.Open())
    {
        Response.Write("对不起，打开服务失败！");
        Response.End();
    }
    if (uid > 0)
    {
        if (!sp.IsOnline(uid)) uid = 0;
    }

    if (uid == 0)
    {
        uid = (new Random()).Next(10, 100000);
        if (!sp.AddClient(0, uid))
        {
            Response.Write(" 添加ID失败.");
            sp.Close();
            Response.End();
        }
        Session["uid"] = uid;
    }

    sp.Close();
    
%>
<html dir="ltr" xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<title>Jexus 推送演示</title>
<script type="text/javascript" language="javascript" src="jexus.js"></script>
<style type="text/css">
body {
	text-align: center;
	margin-top:24px;
}
</style>
</head>
<body>
    <div style="font-size: 36px">Jexus V5 服务器推送技术 演示</div>
    <div style="color: red; padding-top: 18px; padding-bottom: 14px;background-color:#E0E0E0;margin-top:24px" id="show" name="show">收到的内容</div>
    <iframe src="write.aspx" style="width: 640px; height: 135px; border-width: 0px;margin-top:30px" frameborder="no" border="0" marginwidth="0" marginheight="0" scrolling="no" allowtransparency="yes"></iframe>
    <script language="javascript" type="text/javascript">
        
        var dDiv = document.getElementById("show");

        function ShowText(obj, s) {
            if (document.all)
                obj.innerText = s;
            else
                obj.textContent = s;
        }
        
        function OnPushEvent(stateCode,data) {
            if (stateCode == 200) {
                var s = "收到： " + data;
                ShowText(dDiv, s);
                return;
            }
            
            if (stateCode == 404) { //404：服务找不到该uid号，必须重新通过ASPX向服务器注册ID号
                window.alert("Error: Server can't find the user id.");
            }
        }

        (function (uf) {
            var uid = '<%=uid%>';
            var push = new jwsApps.svrPush(uid, uf);
            push.start();
        })(OnPushEvent);

    </script>
</body>
</html>
